/*--- bg-banner.scss ---*/
@keyframes am-scale {
    0% {
        transform : scale(0.5, 0.5) rotate(0deg) translate3d(0%, 0%, 1px);
    }
    50% {
        transform : scale(0.3, 0.3) rotate(180deg) translate3d(30%, 10%, 1px);
    }
    100% {
        transform : scale(0.5, 0.5) rotate(360deg) translate3d(0%, 0%, 1px);
    }
}


.starry b.r01 {
    width  : 1.6%;
    height : 1.6%;
    left   : 17%;
    top    : 26%;
}

.starry b.r02 {
    width  : 1.3%;
    height : 1.3%;
    left   : 60%;
    top    : 20%;
}

.starry b.r03 {
    width  : 1.4%;
    height : 1.4%;
    left   : 51%;
    top    : 72%;
}

.starry b.r04 {
    left : 30%;
    top  : 15%;
}

.starry b.r05 {
    left : 50%;
    top  : 45%;
}

.starry b.r06 {
    left : 75%;
    top  : 25%;
}

.starry b.r07 {
    left : 15%;
    top  : 35%;
}

.starry b.r08 {
    left : 25%;
    top  : 68%;
}

.starry b.r09 {
    left : 70%;
    top  : 80%;
}

.starry b.r10 {
    left : 22%;
    top  : 65%;
}

.starry b.r11 {
    left : 55%;
    top  : 85%;
}

.starry b.r12 {
    left : 40%;
    top  : 80%;
}

.starry b.r13 {
    left : 60%;
    top  : 55%;
}

.starry b.r14 {
    left : 40%;
    top  : 20%;
}

.starry b.r15 {
    top  : 20%;
    left : 45%;
}

.starry b.r16 {
    top  : 75%;
    left : 25%;
}

.starry b.r17 {
    top  : 10%;
    left : 15%;
}

.starry b.r18 {
    top  : 25%;
    left : 68%;
}

.starry b.r19 {
    top  : 45%;
    left : 3%;
}

.starry b.r20 {
    top  : 22%;
    left : 65%;
}

.starry b.r21 {
    top  : 15%;
    left : 65%;
}

.starry b.r22 {
    top  : 85%;
    left : 30%;
}

.starry b.r23 {
    top  : 60%;
    left : 55%;
}

.starry i.r24 {
    top  : 10%;
    left : 70%;
}

.starry i.r25 {
    top  : 49%;
    left : 50%;
}

.starry i.r26 {
    top  : 30%;
    left : 45%;
}

.starry i.r27 {
    top  : 40%;
    left : 40%;
}

.starry i.r28 {
    top  : 72%;
    left : 75%;
}

.starry i.r29 {
    top  : 60%;
    left : 20%;
}

.starry i.r30 {
    top  : 50%;
    left : 10%;
}

.starry i.r31 {
    top  : 40%;
    left : 20%;
}

.starry i.r32 {
    top  : 30%;
    left : 30%;
}

.starry i.r33 {
    top  : 20%;
    left : 40%;
}

.starry i.r34 {
    top  : 10%;
    left : -50%;
}

.starry i.r35 {
    top  : 70%;
    left : -60%;
}

.starry i.r36 {
    top  : 30%;
    left : -40%;
}

.starry i.r37 {
    top  : 40%;
    left : -30%;
}

.starry i.r38 {
    top  : 50%;
    left : -25%;
}

.starry i.r39 {
    top  : 60%;
    left : -5%;
}

/*技术支持页 开始*/
.bg-banner {
    background : #050410;
    overflow   : hidden;
    color      : #fff;
    position   : relative;
}

/*星空*/
@keyframes rotate {
    0% {
        transform : rotate(40deg)
    }
    100% {
        transform : rotate(60deg)
    }
}

.bg-banner .starry {
    width     : 40em;
    height    : 40em;
    position  : absolute;
    left      : 50%;
    top       : 50%;
    margin    : -25em 0 0 -20em;
    z-index   : 0;
    transform : rotate(40deg)
    //animation : rotate 30s linear infinite alternate;
}

.bg-banner .starry b, .bg-banner .starry i {
    display       : block;
    overflow      : hidden;
    border-radius : 0;
    position      : absolute;
}

.bg-banner .starry b {
    background : rgba(255, 255, 255, .013);
    border     : 1px solid rgba(255, 255, 255, 0.18);
    width      : 85%;
    height     : 85%;
    transform  : scale(0.5, 0.5) rotate(0deg) translate3d(0%, 0%, 1px);
    //animation  : am-scale 8s linear infinite;
}

.bg-banner .starry i {
    background : rgba(255, 255, 255, .011);
    border     : 1px solid rgba(255, 255, 255, 0.15);
    width      : 60%;
    height     : 60%;
    transform  : scale(0.5, 0.5) rotate(0deg) translate3d(0%, 0%, 1px);
    //animation     : am-scale 5s linear infinite;
}

[data-am="true"] {

    .starry {
        animation : rotate 30s linear infinite alternate;
    }

    .starry i {
        animation : am-scale 5s linear infinite;
    }

    .starry b {
        animation : am-scale 8s linear infinite;
    }
}


[ie8] .bg-banner .starry,
[ie9] .bg-banner .starry {
    filter       : alpha(opacity=50);
    opacity      : .5;
    margin-left  : -23em;
}

[ie8] .bg-banner .starry b,
[ie8] .bg-banner .starry i,
[ie9] .bg-banner .starry b,
[ie9] .bg-banner .starry i {
    border : 1px solid #23262f;
}
